%define url_ver    %(echo %{version}|cut -d. -f1,2)

Name:           mate-terminal
Summary:        MATE terminal emulator
Version:        1.18.0
Release:        %mkrel 1
URL:            http://mate-desktop.org
License:        GPLv2+
Group:          Graphical desktop/MATE
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
# (fc) add -geometry support
Patch0:         gnome-terminal-2.25.3-geometry.patch
# (fc) change default background (grey on black)
Patch2:         gnome-terminal-2.10.0-background.patch

BuildRequires: intltool
BuildRequires: itstool
BuildRequires: xmllint
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(vte-2.91) >= 0.38
BuildRequires: pkgconfig(glib-2.0) >= 2.36.0
BuildRequires: pkgconfig(gio-2.0) >= 2.25.12
BuildRequires: pkgconfig(sm) >= 1.0.0
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(dconf) >= 0.13.4
BuildRequires: pkgconfig(mate-desktop-2.0) >= 1.17.0

%description
Mate-terminal is a terminal emulator for MATE. It supports translucent
backgrounds, opening multiple terminals in a single window (tabs) and
clickable URLs.

%prep
%autosetup -p1

%build
%configure2_5x \
        --disable-static \
        --disable-schemas-compile
%make_build

%install
%make_install

%find_lang %{name} --with-gnome --with-help --all-name

%files -f %{name}.lang
%doc AUTHORS NEWS README ChangeLog
%license COPYING
%{_mandir}/man1/*
%{_bindir}/mate-terminal
%{_bindir}/mate-terminal.wrapper
%{_datadir}/mate-terminal/
%{_datadir}/applications/mate-terminal.desktop
%{_datadir}/glib-2.0/schemas/org.mate.terminal.gschema.xml
%{_datadir}/appdata/mate-terminal.appdata.xml


%changelog
* Wed Mar 15 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092645
- Update to 1.18.0 version
- Updated to 1.17.0 version

* Sat Dec 24 2016 wally <wally> 1.16.1-1.mga6
+ Revision: 1077108
- new version 1.16.1
- build with gtk3

* Thu Dec 08 2016 luigiwalser <luigiwalser> 1.14.0-2.mga6
+ Revision: 1073396
- remove old post scriptlet

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001211
- Update to 1.14.0 version

* Sun Mar 13 2016 tarakbumba <tarakbumba> 1.13.2-1.mga6
+ Revision: 989954
- Update to 1.13.2 version

* Thu Feb 25 2016 tarakbumba <tarakbumba> 1.13.1-1.mga6
+ Revision: 979288
- Update to 1.13.1 version

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 942460
- Update to 1.13.0 version

* Fri Dec 04 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908159
- Update to 1.12.1 version
- Prepare specfile for possible gtk3 build

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898505
-Update to 1.12.0 version

* Sat Sep 05 2015 wally <wally> 1.10.1-1.mga6
+ Revision: 872992
- new version 1.10.1

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 837345
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 738904
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 731523
- Update to 1.8.1 version
- Use autosetup macro at prep stage

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-2.mga5
+ Revision: 682206
- Mageia 5 Mass Rebuild

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600089
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598060
- Update to 1.7.x version

* Thu Jan 09 2014 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 565727
- Bugfix release update: 1.6.2

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531079
- Mageia 4 Mass Rebuild

* Fri Jun 21 2013 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 445463
- imported package mate-terminal

